{% extends 'base.html' %}
{% load static %}
{% block meta %}
<title>Search Country about Covid</title>
<link rel="stylesheet" href="{% static 'HoaxSpreader/css/styles.css' %}">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>

$(document).ready(function(){
  $("button").click(function(){
    proses()
  });
}); 

function proses() {
  $.ajax({url: "http://api.covid19api.com/countries", success: function(result){
    var text = "";
    var i;
    for (i = 0; i < result.length; i++) {
        text += "<b>Negara: </b> "+ result[i].Country + ", <b>inputan: </b>" +result[i].Slug+ "<br>";
    }  
    $("#div1").html(text);
     
  }});
}
</script>
{% endblock meta %}
{% block content %}  
<body class=""> 
<div class="wrapper col-12">        
    <div class="d-flex flex-column justify-content-start align-items-center py-5 col-lg-8 mx-auto">      
          <button class="btn btn-outline-secondary btn-search text-dark search-button" type="button" id="button-addon2">
            Get List
          </button>
          <a href="{% url 'HoaxSpreader:country' %}">
            <button type="button" class="btn btn-lg btn-primary">Kembali ke mesin pencarian</button>
        </a>
          <div id="div1"></div>
    </div>
</div>
</body> 
{% endblock content %}
